Last Comment Bug 407836 - remove support for browser.urlbar.richResults
: remove support for browser.urlbar.richResults
Status: VERIFIED FIXED
[now an add on, see https://addons.mo...
:
Product: Firefox
Classification: Client Software
Component: Location Bar (show other bugs)
: Trunk
: All All
: P4 normal (vote)
: Firefox 3 beta3
Assigned To: (not reading, please use seth@sspitzer.org instead)
:
: Marco Bonardo [::mak]
Mentors:
http://lxr.mozilla.org/mozilla/source...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 20:07 PST by (not reading, please use seth@sspitzer.org instead)
Modified: 2009-05-26 07:59 PDT (History)
39 users (show)
mconnor: blocking‑firefox3-
mconnor: wanted‑firefox3+
moco: in‑testsuite-
moco: in‑litmus-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (3.50 KB, patch)
2007-12-14 14:02 PST, (not reading, please use seth@sspitzer.org instead)
gavin.sharp: review+
mconnor: approval1.9+
Details | Diff | Splinter Review
extension to switch back to the one line approach (1.68 KB, application/x-xpinstall)
2007-12-19 17:33 PST, (not reading, please use seth@sspitzer.org instead)
no flags Details
add on (1.70 KB, application/x-xpinstall)
2007-12-19 17:36 PST, (not reading, please use seth@sspitzer.org instead)
no flags Details
"Rich" bar search example (51.19 KB, image/png)
2008-06-18 05:00 PDT, Jean-Marc Spaggiari
no flags Details

Description (not reading, please use seth@sspitzer.org instead) 2007-12-10 20:07:23 PST
remove support for browser.urlbar.richResults

At some point, I think we want to remove support for this.

Note though, even with rich results, that we still have the tree style url autocomplete in two places:

1) autocomplete when choosing the home page in the pref ui
2) Open Location dialog when the navigation bar is hidden

I'm just talking about removing the hidden pref from firefox.js and the code in browser.js that checks that pref:

893   if (gURLBar) {
894     try {
895       if (gPrefService.getBoolPref("browser.urlbar.richResults"))
896         gURLBar.setAttribute("autocompletepopup", "PopupAutoCompleteRichResult");
897     } catch (ex) {
898     }
899   }
Comment 1 Mike Connor [:mconnor] 2007-12-11 08:47:59 PST
Not a big deal, but it makes sense.  Should we hook up the rich results to the other locations?
Comment 2 bomfog 2007-12-11 16:39:57 PST
Does this make the old style unavailable, period? Is there a userChrome-type hack or some-such? It's seriously easier for me to scan titles/URLs when they have their own columns, than filtering out the right colored/bolded/etc text from the alternating differently colored/etc etc.

Different cognitive styles for different folks, I guess.

With edilee's awesome bar (which should go into the trunk as soon as humanly possible, BTW, IMO) this is going to be less of an issue for me, but of course there will be discontent from some when they can't get the old way back.
Comment 3 (not reading, please use seth@sspitzer.org instead) 2007-12-11 17:05:37 PST
> Does this make the old style unavailable, period?

No, not at all.  

Someone could write an extension that made us use the old popup instead of the new one.

For this bug, I'd plan on removing that code and fixing browser.xul to be:

254         <textbox id="urlbar" flex="1"
255                  chromedir="&locale.dir;"
256                  type="autocomplete"
257                  autocompletesearch="history"
258                  autocompletepopup="PopupAutoComplete"

s/PopupAutoComplete/PopupAutoCompleteRichResult
Comment 4 (not reading, please use seth@sspitzer.org instead) 2007-12-11 17:10:07 PST
> Should we hook up the rich results to the other locations?

I was about to say:  no, because those other usages are of narrow width, which is why the use autocomplete with only the url (and not url and title) with the tree based autocomplete.

But, maybe do what the rich style so that we can see the title.

The rich style does require more horizontal space (as it has the tag / star icon), but not a huge amount like the tree style (when you show url and title)

I'll log a spin of bug on that idea.
Comment 5 (not reading, please use seth@sspitzer.org instead) 2007-12-11 17:13:34 PST
> I'll log a spin of bug on that idea.

see bug #408007
Comment 6 (not reading, please use seth@sspitzer.org instead) 2007-12-14 14:02:23 PST
Created attachment 293197 [details] [diff] [review]
patch

note, this will fix (the easy) half of bug #408274
Comment 7 (not reading, please use seth@sspitzer.org instead) 2007-12-14 14:30:52 PST
Comment on attachment 293197 [details] [diff] [review]
patch

note, this fixes part of bug #408274 (which is why I'm seeking approval)
Comment 8 (not reading, please use seth@sspitzer.org instead) 2007-12-17 16:29:09 PST
fixed.

Checking in browser/app/profile/firefox.js;
/cvsroot/mozilla/browser/app/profile/firefox.js,v  <--  firefox.js
new revision: 1.242; previous revision: 1.241
done
Checking in browser/base/content/browser.js;
/cvsroot/mozilla/browser/base/content/browser.js,v  <--  browser.js
new revision: 1.916; previous revision: 1.915
done
Checking in browser/base/content/browser.xul;
/cvsroot/mozilla/browser/base/content/browser.xul,v  <--  browser.xul
new revision: 1.401; previous revision: 1.400
done
Comment 9 (not reading, please use seth@sspitzer.org instead) 2007-12-19 17:33:17 PST
Created attachment 293972 [details]
extension to switch back to the one line approach
Comment 10 (not reading, please use seth@sspitzer.org instead) 2007-12-19 17:36:18 PST
Created attachment 293973 [details]
add on
Comment 11 (not reading, please use seth@sspitzer.org instead) 2007-12-19 17:51:56 PST
Comment on attachment 293973 [details]
add on

better from https://addons.mozilla.org/en-US/firefox/addon/6227 (currently in the sandbox)
Comment 12 Stephen Donner [:stephend] 2008-02-06 13:37:41 PST
I manually added:

browser.urlbar.richResults with a value of "false" (type=boolean) to about:config, and tested both real-time and restart scenarios; I always saw the awesomebar working, in:

Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.4; en-US; rv:1.9b4pre) Gecko/2008020604 Minefield/3.0b4pre

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9b4pre) Gecko/2008020604 Minefield/3.0b4pre

-and-

Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b4pre) Gecko/2008020604 Minefield/3.0b4pre

Verified FIXED
Comment 13 Anton Cohen 2008-02-14 12:23:24 PST
(In reply to comment #2)
>It's seriously easier for me to scan titles/URLs when they
> have their own columns, than filtering out the right colored/bolded/etc text
> from the alternating differently colored/etc etc.
> 
> Different cognitive styles for different folks, I guess.
> 

I find richResults unusable. I am used to Firefox being very efficient to use, with rich results (two lines for each URL, page titles, icons) it is a complete mess, I sometimes can't even find the page I want. 3.0b2 with browser.urlbar.richResults == false was the best of both worlds, smarter searches and easy to read results.

To me URLs are more informative and unique than page title. Many pages have generic title. Which is the main Microsoft Download page, "Download Center" or "Microsoft Download Center"? From the URL you would know immediately the "Download Center" was only for Windows Media, the page title doesn't tell you that. While you may put that off as a web developer problem, it is very common.
Comment 14 Reed Loden [:reed] (use needinfo?) 2008-02-14 12:26:55 PST
Seth, can you up the maxVersion on oldbar?
Comment 15 Seth Spitzer 2008-02-14 14:51:50 PST
Done, sorry for the delay.

It might take time before oldbar 1.2 shows up on addons.mozilla.org, though.

it is now configured for 3.0b3 -> 3.0b4pre
Comment 16 Arjan 2008-02-16 03:51:04 PST
Note that oldbar does not use the old way of searching: typing U will still bring up bugzilla.mozilla.org as well, where in FF2 one would only get URLs that started with that letter.
Comment 17 FX 2008-02-16 07:54:36 PST
Is Firefox slowing switching from "simple, fast and customizable" to "bloated, slow, and you might get something decently reactive when you use add-ons to strip it down" (which sounds, hum, quite counter-intuitive)?

Under WinXP, Pentium 4 2GHz, 1 GB RAM, FF3b3 with richtext bar is painful to use because it's too slow. Type a few letters, see the first one appearing, results showing, the second one appearing, results showing, again for the third, then, you can starting thinking whether you need to type more letters or you've already narrowed it enough. Yuck :(
Comment 18 qbxk 2008-02-20 11:43:19 PST
beta 2 allowed setting browser.urlbar.richResults to false and letting you use the oldstyle bar, which is a useful normal way of listing your last urls.  i want that back and i don't want this other silly dropdown bar that is stupid looking and unhelpful.  beta 3 doesn't react to the value of browser.urlbar.richResults anymore

why did you remove the option?  put it back please.
Comment 19 Kurt H Maier 2008-03-23 18:07:37 PDT
Is there a particular reason deleting six lines of javascript was worth making useful code inaccessible?  Was browser.urlbar.richResults hurting someone's feelings?  Why has the philosophy of this project steered toward feature creep, especially with the rationale "users can install more software if they want to access functions already present in the system"?
Comment 20 Whit Blauvelt 2008-04-25 13:40:52 PDT
This absolutely sucks. Please give us the option of not having all that nonsense and noise come up as we're entering a URL. This approach, of removing an option to slim down an interface according to match user habit, preference and efficiency, is nothing but hostile. This is enough to drive me to using - and recommending - another browser. 
Comment 21 Jakub Moc 2008-05-03 16:34:45 PDT
Great 'patch'. Lets cram stuff down people's throats no matter how much they hate it. Yeah, those 6 lines of JS must have been horribly offending, so back to FF2 and can't wait for webkit-based browsers getting more mature to be able to uninstall this FF thing altogether. Well done, folks! :X
Comment 22 Arjan 2008-05-04 01:36:06 PDT
(In reply to comment #20)
> This is enough to drive me to using - and recommending - another browser. 

Is it only the rich text rendering of the autocomplete results, or the autocomplete results themselves that makes you stop using Firefox?

I don't really care about having to go to https://addons.mozilla.org/addon/6227 once to get the "oldbar" add on. But as noted in comment #16 it unfortunately does not give me the old behavior. I'd prefer the old behavior which only showed URLs starting with the characters typed so far, but that's not what this bug was about.

Comment 23 Jakub Moc 2008-05-04 03:08:10 PDT
(In reply to comment #22)
> Is it only the rich text rendering of the autocomplete results, or the
> autocomplete results themselves that makes you stop using Firefox?

I want both things back, configurable - period. I have no use for this 'awesome' stuff, it gets in my way of using the browser. If I wanted to use bookmarks or search page titles, I'd go to the bookmarks place and search there - but I just want to type the darned URL and be given a bunch of URLs which *start* with the chars I've typed (NOT which *contain* those chars in some random irrelevant place and NOT which contain those chars somewhere in title or whatnot). 

Please stop taking away the choice from users and stop feading the slowish  'awesome' bloated search down their throats.
Comment 24 Arjan 2008-05-04 03:14:12 PDT
Agreed, I too would like to keep the FF2 behavior (the first thing I always change in about:config is browser.urlbar.matchOnlyTyped, which works great in FF2). But, I think this very bug is not about that :-(
Comment 25 mozilla@jakeg.co.uk 2008-05-08 14:27:37 PDT
Agreed with all these other complaints here. I need to use FF3 as its massively faster than FF2 (well done!!!) but cannot use it without severe frustration as I need the results to only show those starting with the letters I type, not those letters in random pointless places. 'd' by itself should give me the most 'frecent' site beginning with a 'd'.
Comment 26 mycae 2008-05-16 17:07:00 PDT
I have to agree with the FF2 behaviour. When I wish to go to email, i type "ma", which then tries to give me "Wikipedia MAin page" "IMAge:...." "google iMAge search" etc.

Removing support for this is, at least in my view, unfortunate - It has ignored the subset of users who utilise the list of addresses as a phonebook style search, which allows users to access information in log(n) time (their time, not CPU time). By using a search option, small substrings no longer suffice to complete the task which a user is intersted in doing.

The further issue that is not taken into account when saying "lets leave this as an add-on" is that add-ons are not in sync with firefox releases. Currently there is no way to disable this behaviour in FF3b5, and *that* is most unfortunate, as all users know that this feature will be on the blink for a few weeks or months after each new release.

Fundamental options shouldn't be so quickly removed.
Comment 27 gumpish 2008-05-17 07:04:28 PDT
I guess the devs didn't hear what happened when Pidgin decided to cram "improved" functionality down their users' throats.

Bugzilla needs a "Vote AGAINST this bug" option.
Comment 28 :Gavin Sharp [email: gavin@gavinsharp.com] 2008-05-17 17:48:23 PDT
(In reply to comment #26)
> By using a search option, small substrings no longer suffice to
> complete the task which a user is intersted in doing.

The location bar prefers results that have been previously selected for a given query, so the first time you use the small substring, you might have to do a bit of extra searching, but subsequent searches using that same small substring will return results based on usage.
Comment 29 mycae 2008-05-18 00:38:41 PDT
I was able to disable the rich component by decompressing, modifying my browser.jar files then replacing it (basically reversing the patch included); however this still doesn't help with the searching problem. I can't quite provide a good diff as I forgot to keep the old jar file.

>The location bar prefers results that have been previously selected for a given
>query, so the first time you use the small substring, you might have to do a
>bit of extra searching, but subsequent searches using that same small substring
>will return results based on usage.

My usage is a bad indicator of what I want to do now. As a user I have greater context of what I want to do, and I want to perform a tree-style search by name using the starting string (this is optimal, theoretically speaking). Not allowing an about:config disable of this is odd indeed (obviously this is not something you would clutter the preferences window with). Performing a complete text search might be a nice option, but its not helpful - my wikipedia example out-ranks my email by a large margin.
Comment 30 Jakub Moc 2008-05-19 14:47:35 PDT
(In reply to comment #28)
> The location bar prefers results that have been previously selected for a given
> query, so the first time you use the small substring, you might have to do a
> bit of extra searching, but subsequent searches using that same small substring
> will return results based on usage.
> 

See, once again - I have *zero* use for this pseudosmart behaviour, it's horribly annoying and getting into my way of using the browser. I just darn want to type the URL and be offered relevant suggestions for the *URL*, not for some random junk which happens to have the typed characters in title or whatnot. What's so hard about making this new misfeature configurable and giving users the chance to revert *fully* to the FF2 behavior? Apparently the developers totally lost contact with their users. :X
Comment 31 Whit Blauvelt 2008-05-19 15:13:08 PDT
I agree strongly with Jakub on this. I've reverted to 2, and will not go to 3 if this bad behavior cannot simply be eliminated. I've no interest in seeing how the browser can "learn" to be a better approximation of prior behavior which _was already perfectly what I want_. I visit a couple of dozen sites repeatedly. My standard procedure is to open a new tab and click in the URL bar (or click in the URL bar in a present tab and hit Esc) then type the first couple of letters of the URL. That works quite perfectly, and faster than juggling with the Bookmarks menu - especially since some of my sites change from week to week. The speed advantage is lost when searches do _anything_ but match against the beginnings of the URLs. 

If I'm confused on the URL, I don't want a search of page titles (which are not a very good index of content anyway), instead I have an alias for an advanced Google search, and I begin my URL-bar typing with that. I cannot imagine an instance where browser-based page title string search would be a useful function to me. All you've done is put rocks in my path. The browser's job is to be transparent - to get out of the way and let people view sites. This feature is just in-your-face egotism, showing off a search algorithm that anyone could have written - except prior browser programmers were good enough interface designers to realize what a waste of coding this would be.
Comment 32 byuu 2008-05-19 16:46:47 PDT
I should mention, this specific patch only removed the ability to display FF2-style urlbar results via a hidden preference. That is, only showing one line per entry. It did *not* affect the actual search algorithm in any way, which is the main thing most people here seem unhappy about. In that regard, the oldbar extension accomplishes the same thing.

What is needed is an option to specify a begins-with search on URIs only. Right now, your only choice is a contains search on URIs, page titles and bookmarks. There is no such extension to change this behavior.

Firefox developers, please don't repeat the mistake of the Pidgin developers not listening to their user base. A lot of us depend upon the old FF2 search behavior. Please make this an option. I realize it's your software, but with millions of users, a lot of us are very dependent upon these things.

The new search algorithm may be great for many, but a lot of us rely upon the old search method both for speed and efficiency. Yes, I've given it a few weeks. No, I'm not getting used to it. It's a major hindrance to my surfing habits. Again, *please* make the search algorithm an option.
Comment 33 Steve Parnaby 2008-05-22 07:52:05 PDT
I have created a bugzilla account for the sole purpose of echoing this.
FF3b5 comes default with Ubuntu Hardy, and I am very happy with every aspect of the upgrade with the single exception of the AwfulBar.  Having dredged about to find a way of disabling this to no avail, and finding oldbar to be an unsatisfactory option, I felt I had to add my voice.

FF should not lose focus of functionality of major features which have been standards in browsers for countless years. It is not the presentation, but the pseudointelligent 'guessing' what I want, when I have used the dropdown as bookmarks in every browser for years.

Many users do not use bookmarks, tags, history, sidepanels and all of the bloat that Mozilla seem to have been happy adding into FF over the years, but remain steadfastly with the primary controls - location, forward, back, refresh, home. These are not things that should be messed with without the option to use the old behaviour.

I add my voice. _Please_ fix this.
Comment 34 Justin Shore 2008-05-29 13:22:52 PDT
I agree with Steve, Jakub, Whit, et al who are voicing their opinion for user choice.  Some people find the new URL bar auto-searching option to be useful and we don't want to take that away from them.  However this is a very controversial change that and all mechanisms to keep from being forced to use this new feature have been stripped from the users.  FireFox devs add features that few users ever utilize, and even fewer still know those odd options exist or what they actually do.  Here's a feature that a large, vocal majority (I strongly believe we're in the majority) of users simply do not want and yet we can't get an option to disable it.  Why are FireFox devs ignoring what the users are asking for?  User revolts are caused by lesser things.  Forks are caused by lesser things.

FF3 is not something that I can utilize on any of my boxes.  I need the URL Bar to function as a URL Bar.  After all, that's what it's called:  URL Bar.  It's not called Search Bar or Misc **** Goes Here Bar.  It's the ***URL*** Bar, and for good reason; you put URLs in it.  I would love to have FF3's speed.  I would love to have FF3's stability.  Unfortunately it's simply not a usable product for my needs.  So for now I'll just have to live with FF2's constant crashing and memory leaks.  One day when a major exploit is found in FF2 I'll be forced to upgrade.  And if on that day FF3 still forces this unusable "Search-the-World" Bar on me without giving me, the user (and paying supporter I might add) the choice to disable it, I'll choose something else.  It's a free market after all.
Comment 35 Jean-Marc Spaggiari 2008-06-17 13:45:30 PDT
I agree with most of the users here. We really need something to make the URL bar come back as an URL bar. addon 6227 (oldbar 1.2) try to do so, but it's only removing the display, not the way the results are searched.

So I have uncompress the browser.jar and update browser.xul to remove the PopupAutoCompleteRichResult for urlbar textbox, but it seems that I get the same result has oldbar addon. It does not display the rich content anymore, but when I want to got to "mail.google.com" and I enter "ma", I first get about 20 dummy URL addresses from my bank web application.

urlbarBindings.xml seems to not help too.

So I don't think the issue is coming from "where" the display is set, but more to "how" the results list is built.

Any clue where the "search" method is so we can correct it?
Comment 36 Arjan 2008-06-17 22:35:40 PDT
(In reply to comment #35)
> I first get about 20 dummy URL addresses from my bank web application.

Only as a side note, to hide any address you did not actually type yourself: type about:config in the location bar, then search for browser.urlbar.matchOnlyTyped and double-click it to change its value to true (maybe searching for this setting in the code might show you where the result list is built too).

Of course, that does not solve the issue that many of us have with the new search enabled address bar :-( 
Comment 37 Jean-Marc Spaggiari 2008-06-18 05:00:45 PDT
Created attachment 325538 [details]
"Rich" bar search example
Comment 38 Jean-Marc Spaggiari 2008-06-18 05:04:30 PDT
Hi Arjvan,

Thanks for your suggestion, but I have already done it and it's the same result. Look like it's still looking into the history or something like that. I just attached an example of the "behaviour" (I will name that the defect instead).  In FF2, when I was looking for "montreal.kijiji.ca", it was pretty the 1st one in the list, and I did'nt need to enter more than 2 letters to find what I was looking for. I know that I now need to enter only 2 more letters, but all this garbage content displayed is more disturbing than anything else.

I'm now trying to revert back to FF2, but seems that it's not so easy to do :(

I will try to look into the code for "matchOnlyTyped" to see if there is anything I can modify to restore back the previous version working feeature.

Thanks,

JM
Comment 39 Whit Blauvelt 2008-06-18 05:59:13 PDT
Jean-Marc,

The easiest way to revert may be to get the version you want from 
http://releases.mozilla.org/pub/mozilla.org/firefox/releases/, then install that manually (see https://help.ubuntu.com/community/AMD64/FirefoxAndPlugins for hints on that - more than you need to know when not doing a 32-bit install on a 64-bit Linux, but it works). 

Apologies that this is off topic in this thread - except it's the next topic for many of us if the FF developers continue to offer no way to run FF3 without this gooey piece of candy stuck to the handle.

Whit
Comment 40 Harry Wurster 2008-06-19 03:05:21 PDT
I need a switch between the new and the old location bar autocomplete behaviour. As a developer i use the locationbar as a deeplink entry tool. That means, i work with my development-environment, test on an integration-, beta- and online-environment all with the same deeplink path. That are 4 different domains with the same url path and TITLE. The new autocomplete show me an unusable "unsorted" list now. At most time my url's differs only in one or two parameters and it's  impossible to find the right entry in the new autocomplete. Please give us a configuration for this new "feature" to switch to the old behaviour.

btw: We web-developer optimize our work for specific browser, but if we can't use a new browser, we can't optimize for it. :) *hint*
Comment 41 Jean-Marc Spaggiari 2008-06-19 05:35:59 PDT
Hi Whit,

Finaly, I think I will try to go forward instead of backward. So I have downloard the source code, and I was able to build it. I think also I have found where is issue is, so I will try to modify that, and maybe propose a "patch" here.

JM
Comment 42 Gino Stacippa 2008-06-19 13:38:17 PDT
Hi all, I agree with all people that request the old FF2 address bar. This new one is a nightmare and completely useless for me. Please put back the possibility to DISABLE it. FOREVER.
Sometimes I ask myself why people are so masochist...
Comment 43 Carls 2008-06-19 18:35:18 PDT
Am squeezed for space on a portable - can the RSS feed and the Star for bookmark be made removable too? There are perfectly good keyboard shortcuts for these functions and ... white space is nice. 
Comment 44 Kakkoii 2008-06-19 18:58:26 PDT
New add-on aims to replicate Firefox 2's address bar.

It's pretty close now. Just 1 minor issue left to fix, which is of the URL bar searching a websites description.. Once that's fixed, this plug-in will be 100% like Firefox's.

https://addons.mozilla.org/en-US/firefox/addon/7637
Comment 45 Arjan 2008-06-19 22:33:22 PDT
(In reply to comment #44)
> this plug-in will be 100% like Firefox's.
> 
> https://addons.mozilla.org/en-US/firefox/addon/7637

Kakkoii, thanks! :-)
Comment 46 Gino Stacippa 2008-06-20 01:11:19 PDT
(In reply to comment #44)
> New add-on aims to replicate Firefox 2's address bar.

> https://addons.mozilla.org/en-US/firefox/addon/7637
>
Thank you Kakkoi!!!!!!!!!!!!!!!! I really love your add-on!!!
Finally the old good Firefox 2 address bar! It works perfectly!
I think it is very stable, you should remove the "experimental" tag.

Comment 47 Kakkoii 2008-06-20 01:31:25 PDT
(In reply to comment #46)
> (In reply to comment #44)
> > New add-on aims to replicate Firefox 2's address bar.
> 
> > https://addons.mozilla.org/en-US/firefox/addon/7637
> >
> Thank you Kakkoi!!!!!!!!!!!!!!!! I really love your add-on!!!
> Finally the old good Firefox 2 address bar! It works perfectly!
> I think it is very stable, you should remove the "experimental" tag.
> 


I'm not the one who places that "Experimental" tag there.
The add-on's website places the Experimental tag on new add-on's, until they are approved by an official Mozilla reviewer and allowed to go public.

So until one reviews mine, people have to log-in to download it, and people don't get automatic updates :(.
Comment 48 Piratmac 2008-06-20 08:39:50 PDT
I, too, request a possibility to disable this new notso-awesomebar...

Some results are really strange... I tried typing "ko" in the url bar, and first answer refers to a site who has absolutely no link with "ko" (these letters are not in the title, nor the url, nor anywhere in the source code :@)
Typing "fr" (I'm french user) refers to any french website, rather than the "fr.wikipedia.org" I would like to have...
Results seems to be just random...

Kakkoii, thanks for your extension (installed now ^^), but I still have this problem...

So, please, allow us to have a search based only on the start of URLs, like we had in FF2 :)
AwesomeBar is maybe really useful for people using it, but I am personnaly confused by results I have...
Comment 49 steve 2008-06-20 18:50:22 PDT
This is ridiculous.  I cannot believe you guys screwed this up so much.  The location bar is now totally unusuable.  All I want in it are URLs.  I don't want titles or bookmarks or anything else.  I shouldn't have to install extra software to make the program behave the way FF2 did.

What a waste.
Comment 50 Christopher Smith 2008-06-22 11:25:10 PDT
One more vote for adding the pref back in.  I know the URLs of the sites I want to visit regularly, and the "frecency" algorithm is, for my purposes, pretty much fail.  It matches on 6th-level-directory components on sites I rarely visit before the FQDN of sites I visit several times a day.

While I'm sure that the niftiness and eye candy is appreciated by many, removing the non-rich bar in favor of the Awesomebar is akin to removing a shell's tab completion because we have GUIs now.
Comment 51 That Awful Bar 2008-06-24 10:32:45 PDT
I just registered to be able to post a comment and add my voice to the majority who are for (and rightly so) removing such a hideous thing like the AB (I can't even bare typing the name of it ).

Whoever bright spark in the MozDev team 'invented' this I am absolutely certain that he/she has a very well-paid job either in M$ or the IE team - no doubt about that whatsoever! 

I am back to FF2 after downloading FF3 and using it for exactly 14 seconds, just to delete the whole thing, though to add insult to injury I had COMPLETELY remove both FF3 AND FF2 and then install FF2 again otherwise FF2 became VERY unstable (another bug in FF3 apparently - you would have thought that these things are ironed out before GA release - apparently not, they were all after that Guinness record).

If this thing is not removed from FF3 or the ability of restoring the old FF2 behaviour added to FF3 IN FULL (that means beginsWith URL searches ONLY AND showing the most-visited/most-recently visited URLs at the top as 1st choice) I can see FF becoming a laughing stock...

As for the Kakkoii's add-on - a couple of questions:

1. Does this search URL's only AND starting at the beginning of the URL?
2. Does it show the most-visited matches at the top (i.e. as 1st choice)?

This is how FF2 used to display the matches in the url bar.

If the answer to both questions is 'yes' then I am going to install FF3 again and add this add-on to it, until then I will stick with the tried-and-tested FF2 and avoid any further headaches and embarrassment. 
Comment 52 Kakkoii 2008-06-24 11:25:29 PDT
(In reply to comment #51)
> I just registered to be able to post a comment and add my voice to the majority
> who are for (and rightly so) removing such a hideous thing like the AB (I can't
> even bare typing the name of it ).
> 
> Whoever bright spark in the MozDev team 'invented' this I am absolutely certain
> that he/she has a very well-paid job either in M$ or the IE team - no doubt
> about that whatsoever! 
> 
> I am back to FF2 after downloading FF3 and using it for exactly 14 seconds,
> just to delete the whole thing, though to add insult to injury I had COMPLETELY
> remove both FF3 AND FF2 and then install FF2 again otherwise FF2 became VERY
> unstable (another bug in FF3 apparently - you would have thought that these
> things are ironed out before GA release - apparently not, they were all after
> that Guinness record).
> 
> If this thing is not removed from FF3 or the ability of restoring the old FF2
> behaviour added to FF3 IN FULL (that means beginsWith URL searches ONLY AND
> showing the most-visited/most-recently visited URLs at the top as 1st choice) I
> can see FF becoming a laughing stock...
> 
> As for the Kakkoii's add-on - a couple of questions:
> 
> 1. Does this search URL's only AND starting at the beginning of the URL?
> 2. Does it show the most-visited matches at the top (i.e. as 1st choice)?
> 
> This is how FF2 used to display the matches in the url bar.
> 
> If the answer to both questions is 'yes' then I am going to install FF3 again
> and add this add-on to it, until then I will stick with the tried-and-tested
> FF2 and avoid any further headaches and embarrassment. 
> 



Yes and no... lol.

Yes it searches URL's. But it doesn't look threw your bookmarks anymore. It does start at the beginning of the URL. But since it still looks at a website's description, you will get a few odd results mixed in. 

Yes it does show what you most visited at the top.


Were working on making it not look at a sites description.. But that's the hardest part. As there is no about:config options that effect that.
Comment 53 That Awful Bar 2008-06-24 18:04:28 PDT
(In reply to comment #52)
> Yes and no... lol.
> 
> Yes it searches URL's. But it doesn't look threw your bookmarks anymore. It
> does start at the beginning of the URL. But since it still looks at a website's
> description, you will get a few odd results mixed in. 
> 
> Yes it does show what you most visited at the top.
> 
> 
> Were working on making it not look at a sites description.. But that's the
> hardest part. As there is no about:config options that effect that.
> 
Right, a couple of questions with an example: I've looked at the code (through addons.mozilla...) of your add-on and noticed that you modify (and rightly so!) the following settings:

places.frecency.unvisitedBookmarkBonus=0
places.frecency.unvisitedTypedBonus=0
places.frecency.bookmarkVisitBonus=0
browser.urlbar.matchBehavior=2
browser.urlbar.matchOnlyTyped=true

So:
1. If I manually change these through about:config would I get the same effect? This is connected with my next question below.
2. If I type 'g' so that I can go to www.google.com would FF3 show me 'getfirefox.com' as a first match choice instead of 'www.google.com' (in FF2 'www.google.com' is a 1st choice)? I guess what I am getting at is this - in FF2 the 'www' which precedes the actual domain name is completely ignored (and rightly so as this 'www' nonsense is artificial anyway - www.google.com = google.com for all intents and purposes) - is this the same behaviour shown in FF3 with your add-on?
3. In part of your add-on (OldLocationBar.jsm if I am not mistaken) you also reset the history preference to 30 days (browser.history_expire_days=30). Any reason for that? The reason I ask this is because I like to keep a very long history (it is normally 999 days as this was the maximum value in older versions of FF - not sure if that is the case now though) and if I install this add-on I do not wish this to be changed.

It is also very annoying to know that there is no way to exclude the search of page titles - you may try your luck here (http://kb.mozillazine.org/index.php?title=Category:Preferences&until=Content.interrupt.parsing)  for more info on FF3 preferences, but I could not find anything useful, hope you have a better luck.
Comment 54 Kakkoii 2008-06-24 21:13:29 PDT
(In reply to comment #53)
> (In reply to comment #52)
> > Yes and no... lol.
> > 
> > Yes it searches URL's. But it doesn't look threw your bookmarks anymore. It
> > does start at the beginning of the URL. But since it still looks at a website's
> > description, you will get a few odd results mixed in. 
> > 
> > Yes it does show what you most visited at the top.
> > 
> > 
> > Were working on making it not look at a sites description.. But that's the
> > hardest part. As there is no about:config options that effect that.
> > 
> Right, a couple of questions with an example: I've looked at the code (through
> addons.mozilla...) of your add-on and noticed that you modify (and rightly so!)
> the following settings:
> 
> places.frecency.unvisitedBookmarkBonus=0
> places.frecency.unvisitedTypedBonus=0
> places.frecency.bookmarkVisitBonus=0
> browser.urlbar.matchBehavior=2
> browser.urlbar.matchOnlyTyped=true
> 
> So:
> 1. If I manually change these through about:config would I get the same effect?
> This is connected with my next question below.
> 2. If I type 'g' so that I can go to www.google.com would FF3 show me
> 'getfirefox.com' as a first match choice instead of 'www.google.com' (in FF2
> 'www.google.com' is a 1st choice)? I guess what I am getting at is this - in
> FF2 the 'www' which precedes the actual domain name is completely ignored (and
> rightly so as this 'www' nonsense is artificial anyway - www.google.com =
> google.com for all intents and purposes) - is this the same behaviour shown in
> FF3 with your add-on?
> 3. In part of your add-on (OldLocationBar.jsm if I am not mistaken) you also
> reset the history preference to 30 days (browser.history_expire_days=30). Any
> reason for that? The reason I ask this is because I like to keep a very long
> history (it is normally 999 days as this was the maximum value in older
> versions of FF - not sure if that is the case now though) and if I install this
> add-on I do not wish this to be changed.
> 
> It is also very annoying to know that there is no way to exclude the search of
> page titles - you may try your luck here
> (http://kb.mozillazine.org/index.php?title=Category:Preferences&until=Content.interrupt.parsing)
>  for more info on FF3 preferences, but I could not find anything useful, hope
> you have a better luck.
> 

1. Yes you would get the same effect, maybe a little less refined results. Cause all the other coding isn't there for nothing you know lol. But the look would still be the same. There is a way to manually change the look of the location bar also. You'll have to google around for that.

2. The http:// and the www. is ignored in FF3 also. In FF2, the first URL that shows up, is the one you have visited most that starts with G. So yes, if you visit Google more than other websites, it will show up first with my add-on also. 

3. I had a reason at the time, but I've actually seemed to have forgotten why. I'll have to look into it again.


And yeah, I've been there to that page before, thanks tho.
Comment 55 Rendek 2008-06-25 06:25:13 PDT
I also plead for a mean to switch of the AB in FF3. As many above posters, FF is a working tool for me. I deeply dislike the new behavior, incompatible with my working habits. I reverted to FF2 for that sole purpose.
Comment 56 Jakub Moc 2008-07-03 02:07:04 PDT
(In reply to comment #52)

Kakkoii, thanks for you effort, highly appreciated - but! I strongly feel that hacking around annoying FF3 behaviour via *addons* is a completely inappropriate way to make such functionality available to users. Once again, I'd like to urge the FF devs to reconsider their attitude towards long-time, "conservative" FF users before it's too late. (This is nothing against you, once again, your effort is highly appreciated by myself and many other unhappy users meanwhile.)
Comment 57 Markus Gyger 2008-07-12 13:13:58 PDT
This "fix" was more of a BOFH-like act than an improvement. Why limit choices?
Comment 58 Markus Gyger 2008-07-17 12:36:43 PDT
(In reply to comment #28)
> The location bar prefers results that have been previously selected for a given
> query, so the first time you use the small substring, you might have to do a
> bit of extra searching, but subsequent searches using that same small substring
> will return results based on usage.

So why not preset these usage values so that, right after an upgrade, it finds the same URLs as in FF 2.0 and then gradually adapts to the new behavior? That would a least cause less high blood pressure.
Comment 59 notyou 2008-07-20 19:48:47 PDT
Why the hell would anyone want to turn off options? The new "Smart Location Bar" is horrible & there needs to be an option to remove it ASAP. 

Why not just remove support for FF completely while you're at it? Most of us use FF because it used to gives us options to have a much better browser. Just gives us the option to use the URL bar in FF2. Just reverse what you did to remove the option to use the FF2 URL bar. It should only take you about 10 minutes to fix this. Why are you basically ignoring what the users want? 
Comment 60 Arjan 2008-07-20 22:57:53 PDT
(In reply to comment #59)
> It should only take you about 10 minutes to fix this.

It should take you even less than 10 minutes to read the actual bug description: reverting the change will not get us the old behaviour.

To get close to the old behaviour see comment #44.
Comment 61 Kevin Fleischer 2008-07-31 11:26:03 PDT
This is definitely a not-so-awesome bar!

Like you can see in votes like this: 
http://answers.polldaddy.com/viewPoll.aspx?view=results&id=690760 

More than half of the people say, they hate it. Only 1/3 says they love it.

And I know why they hate it:
In the old bar you need mostly one character and ENTER to go to the page. My favorite pages start in 90% of all cases with different characters. But know your bar find nearly any of my favorites on any char I type. Thats definitely no improvement.

Please make that bar optional. Firefox should speed up our net-lives, not slowing it down.
Comment 62 BobUser 2008-08-26 07:24:35 PDT
Yup - another one to register today just to say Thank You! to Kakkoii. What a mess this is going to be out there...it's gonna go down as one of the big screw ups for 2008. Will be watching the stats to see how IE benefits from this with users just dumping FF. Big shame.
Comment 63 Kosta Cherry 2008-08-29 23:37:46 PDT
I also registered today to ask for removal of this biggest failure of the year. I used FF since version 1. Now I'm considering getting out - to Opera or may be even IE. 

For the record - I don't use tabs either. Old good "open new window". Browser is a tool, not a candy box to rave about. It should just work. If it doesn't work, you just find another tool. 

It looks like FF team forgot about core principle of programming: "If it ain't broken, don't fix it".
Comment 64 DeSoto 2008-09-01 16:30:30 PDT
Registered today to let you know that this new 'feature' is terrible. Tried to re-install FF2 to no avail. Upgraded my never-used IE6 to IE7 and am happier than with FF3, but still not that happy. Sucks to go through the upgrade (after constant nagging by FF for me to upgrade, I finally did) only to have to export bookmarks, install another browser (that I don't like and didn't want to install) only to get *some* of the functionality that I had prior to this mess. The URL bar should let me search for URLs. (which has been mentioned several times.) I have other ways to search for my bookmarks or anything else.

Thanks.
Comment 65 Arjan 2008-09-01 23:01:10 PDT
Though, as repeated many times, this bug is not about the functionality of the "awesome bar", I'd like to change my "I too would like to keep the FF2 behavior" as stated in comment #24. That's no longer the case: after using FF3 for some weeks now, the awesome bar has learned what URLs I visit most, and I've learned the type specific parts of URLs. By now, I like that typing "adm" takes me to www.example.org/admin/, while "mem" suggests www.example.org/admin/memberadmin/ (in combination with about:config's browser.urlbar.matchOnlyTyped).

Give it some time.
Comment 66 kebrus 2008-10-03 04:47:00 PDT
i register solely to comment here

please STOP taking decisions by someone else, can't any of you understand the problem is not the "awesome bar"? the problem is not having the option to choose it or not, it's just plain stupid

stop saying they should remove it, and stop saying that you'll get used to it after a while, it's irritating, we don't care if you like it or not, there is simply a lot of people wanting the old behavior back, period...

i find impossible to understand that after so many complains there is still no word from then to bring the old location bar back

FF3 simply sucks, not because of the lack of features but because of the lack of support
Comment 67 Boris Smirnov 2008-10-27 08:52:35 PDT
I've just tried to switch from FF2 to FF3, and now i'm rolling back.
The new behaviour or urlbar is absolutely unacceptable. Bring back to FF3 the urlbar from FF2, and get rid of that freaking creature AwfulBar - its guess relevancy is close to zero.
Comment 68 jenningsthecat 2008-11-16 12:26:52 PST
I registered here just to add my voice to the rising chorus of users who don't like the "Awful Bar". (I managed to get rid of that stupid Star icon at the right end of the bar, but I still find the other behaviour intolerable). Please PLEASE give us the option of going back to the old URL bar! I never use AutoComplete, and I both like and am used to the old-style listing of recently visited sites. I'm all for new capabilities, but GIVE ME A CHOICE, don't force them on me! If I can't find an add-on, an 'about:config' modification, or a 'userChrome.css' edit that restores the old functionality, I'm going back to version 2; I'll take my chances with lack of support and potential security issues! I'm really glad I did a custom install to a different directory, so I still have V2 installed and fully functional!
Comment 69 Carls 2008-11-17 07:17:39 PST
A recent comment says:

***snip***
I managed to get rid of that stupid Star icon at the
right end of the bar..
***end snip***

Please advise how to do this. It's not obvious to me.

And please add my name to those who'd like to have and option and get rid of the (generally useless) stream of info that appears in the address bar!

On a small-screen portable, space is at a premium - and the new "bar" wastes space needed to see the full URL.

Carls
Comment 70 Stephen Osborn 2008-12-11 11:38:56 PST
I too have registered in order to say that I *really* don't like the way that the Location Bar in FF3 works and think that the FF2 way of working is *much* better and that this should be switchable.

To Arjan, comment 65, I am glad that you like it now but I don't think the user should be _forced_ to learn a different way of working in order to get the same function they had before.

Also I don't want to switch on browser.urlbar.matchOnlyTyped.  If I went to www.example.org yesterday and then looked at various parts of the site then I want to be able to enter 'exam' and get a list of all the URLs from that site that I went to.  I do that sort of thing quite a lot.  I know that I am using this as a short term bookmark but there is nothing wrong with that.

Stephen
Comment 71 Stephen Osborn 2008-12-12 00:21:25 PST
This bug has a Status of VERIFIED FIXED and is probably not being monitored.

I searched and could not find an open bug reporting the FF2 function having been removed so I have logged one under 469282.
Comment 72 Stephen Osborn 2008-12-13 07:57:55 PST
Bug 469282 has been closed as a duplicate of bug 409895, as have a few others.

Bug 409895 is still open and so any additional comments should therefore be logged against that.
Comment 73 Arjan 2009-01-08 14:27:15 PST
See also http://kb.mozillazine.org/Browser.urlbar.matchBehavior which, as the name suggests, allows you to change the match behavior -- though comment #53 indicates trouble with that setting as well?
Comment 74 Charles Dulbecco 2009-03-05 11:05:12 PST
In my opinion the new "Smart Location Bar" is really horrible.
I hope to see the old bar option reactivated in FireFox 3.1.
Comment 75 Martin 2009-04-29 00:14:08 PDT
I hate the awesome bar with a passion and wish it would revert back to Firefox 2.0 bar, some of my friends won't upgrade because of it. It really needs to be an option in the preferences.
Comment 76 Ethan 2009-05-26 07:59:57 PDT
I also registered just to state that I'm yet another use who hates that 'awesome' bar with PASSION. Just like Harry Wurster (Comment #40 ), I am  developer who uses the location bar as a deeplink entry tool. 

This is sooo familiar: "At most time my url's differs only in one or two
parameters and it's  impossible to find the right entry in the new
autocomplete. Please give us a configuration for this new "feature" to switch
to the old behaviour."

Just to be very clear on how much I hate this FF3 location bar:

I'd rather switch back to ANY version of Internet Explorer, before I upgrade to a Firefox version with this bar in it!

Please, please: just add an 'use Awesome location bar' checkbox somewhere in the application options to enable/disable this behavior. It's soo little work and users should not have to dive into about:config and install add-ons to revert something like this!

Note You need to log in before you can comment on or make changes to this bug.